Subject: RE: gnupg-1.0.0 chokes over make
From: varun sharma <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Thu, 30 Sep 1999 18:09:39 -0700 (PDT)

I'm with you Bob. Now getting an undefined 
"WinMain@16" myself :-)

Just an summary of the results so far..
(1)
The gnupg-1.0.0 port to cygwin-b20.1 needs GCC 2.95-
19990728 from Mumit, cygwin32_ipc-1.03 from 
http://www.multione.capgemini.fr/tools/pack_ipc or
http://dods.jpl.nasa.gov/WinPort/DodsPort.html.
(2)
In the cipher/rndunix.c, modify #include<sys/signal.h>
to <signal.h>. Comment out the sys/ipc.h & sys/shm.h
includes.
(3)
Then ./configure --target=i586-pc-cygwin --disable-asm
--disable-nls --disable-shared. Define HAVE_STRICMP in

the configure-generated config.h. Finally, make -d 
gets us to the "WinMain@16" errmsg below..

---------- start --------------

gcc -DHAVE_CONFIG_H -I. -I. -I.. -I../include
-I../intl    -g -O2 -Wall -Wcast-align -Wshadow
-Wstrict-prototypes -DIS_MODULE -shared -fPIC
Putting child 0x0a04b918 PID 17941 on the chain.
Live child 0x0a04b918 PID 17941
gcc: unrecognized option `-shared'
cc1.exe: warning: -fPIC ignored for target (all code
is position independent)
D:\TEMP/cckaoaaa.o: In function `open_device':
/varun/src/gnupg-1.0.0/cipher/./rndlinux.c:83:
undefined reference to `g10_log_fatal'
/varun/src/gnupg-1.0.0/cipher/./rndlinux.c:85:
undefined reference to `g10_log_fatal'
/varun/src/gnupg-1.0.0/cipher/./rndlinux.c:87:
undefined reference to `g10_log_fatal'
D:\TEMP/cckaoaaa.o: In function `gather_random':
/varun/src/gnupg-1.0.0/cipher/./rndlinux.c:155:
undefined reference to `g10_log_error'
/varun/src/gnupg-1.0.0/cipher/./rndlinux.c:160:
undefined reference to `g10_log_fatal'
/cygnus/CYGWIN~1/H-I586~1/bin/../lib/gcc-lib/i586-cygwin32/2.95/../../../../i586-cygwin32/lib/libcygwin.a(libcmain.o):
In function `main':
/home/noer/src/b20/comp-tools/devo/winsup/libcmain.cc:38:
undefined reference to `WinMain@16'
collect2: ld returned 1 exit status
Got a SIGCHLD; 1 unreaped children.
Live child 0x0a04b918 PID 17941
Reaping losing child 0x0a04b918 PID 17941
make[2]: *** [rndlinux] Error 1
Removing child 0x0a04b918 PID 17941 from chain.
Got a SIGCHLD; 1 unreaped children.
Live child 0x0a0399e0 PID 14219
Reaping losing child 0x0a0399e0 PID 14219
make[1]: *** [all-recursive] Error 1
Removing child 0x0a0399e0 PID 14219 from chain.
Got a SIGCHLD; 1 unreaped children.
Live child 0x0a039870 PID 14217
Reaping losing child 0x0a039870 PID 14217
make: *** [all-recursive-am] Error 2
Removing child 0x0a039870 PID 14217 from chain.

---------- end --------------

Mumit? This seems like something you would know..

Regards,
- varun

PS: I feel really bad for pissing off Werner Koch.
    But Werner, I do need gnupg on cygwin instead of 
    Win32..

--- TOMMY REYNOLDS <[email-masked]> wrote:
> Using Mumit Khan's GCC-2.95, I've gotten further. 
> Take out the include of
> "sys/ipc.h" and "sys/shm.h" from "rndunix.c": they
> appear to be fossils,
> unused by any code.  Define "HAS_STRICMP" in
> "config.h".  Add
> "--disable-shared" to the configure.
> 
> Everything compiles, but building the library fails
> because of an unresolved
> "WinMain@16" external.  I haven't solved that one.

__________________________________________________
Do You Yahoo!?
Bid and sell for free at http://auctions.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]